<?php
 
 
 

namespace PhpWA\Protocol\Proto\ContextInfo\DataSharingContext;

use UnexpectedValueException;




class DataSharingFlags
{
    


    const DATA_SHARING_FLAGS_UNSPECIFIED = 0;
    


    const SHOW_MM_DISCLOSURE_ON_CLICK = 1;
    


    const SHOW_MM_DISCLOSURE_ON_READ = 2;

    private static $valueToName = [
        self::DATA_SHARING_FLAGS_UNSPECIFIED => 'DATA_SHARING_FLAGS_UNSPECIFIED',
        self::SHOW_MM_DISCLOSURE_ON_CLICK => 'SHOW_MM_DISCLOSURE_ON_CLICK',
        self::SHOW_MM_DISCLOSURE_ON_READ => 'SHOW_MM_DISCLOSURE_ON_READ',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

